Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158537 - LSB packaging with shared libraries is impossible to achieve.
Summary: LSB packaging with shared libraries is impossible to achieve.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 13:25 UTC by Jeff Johnson
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-27 07:49:28 UTC


Attachments (Terms of Use)

Description Jeff Johnson 2005-05-23 13:25:48 UTC
Description of problem:

RPM generates a
    Requires: /path/to/interpreter
(usually /bin/sh) whenever a package scriptlet is present.

This makes it impossible to generate LSB compliant packages with
any version of rpm.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmač 2005-05-23 15:50:03 UTC
http://refspecs.freestandards.org/LSB_2.1.0/LSB-Core-generic/LSB-Core-generic/swinstall.html
says that /bin/sh is an allowed dependency.

Comment 2 Jeff Johnson 2005-05-23 15:54:38 UTC
So s/scriptlets/libraries/ with ldconfig exec. Producing LSB compliant
packaging is neqrly impossible.

Comment 3 Miloslav Trmač 2005-05-23 16:02:33 UTC
Replacing
 %post -p /sbin/ldconfig
with
 %post
 /sbin/ldconfig
seems easy - what am I missing?

Comment 4 Jeff Johnson 2005-05-23 16:11:28 UTC
You miss that certain packages -- like glibc -- must be installed
before /bin/sh is present.

The LSB standard also has little clue of multilib and the necessary tags
to achieve an install. The problem in general cannot be specified by
dictating format and content, the semantic interpretation needs to be
"standard" as well.

Comment 5 Paul Nasrat 2005-05-23 16:27:52 UTC
Surely we can address this within the appropriate standards groups. 

Note that upstream rpm changes such as dropping RPMSENSE_PREREQ also break LSB
compatibility. 

Comment 6 Jeff Johnson 2005-05-23 17:36:27 UTC
Not setting a bit in a field should not break standards comnpliance.
And LSB has *never* attempted a semantic intetrpretation of
metadata content values, only forbidding values afaik.

Specific pointer to LSB doco where RPMSENSE_PREREQ presence in
*.rpm header is mandated please, and I will open another bug.

Comment 7 Jeff Johnson 2005-05-23 17:38:12 UTC
And feel free to approach solutions within appropriate
"standards" efforts. I have done that for years and years
to no avail.


Note You need to log in before you can comment on or make changes to this bug.